Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface LinkModelFacet

All Superinterfaces:
  EObject, ModelFacet, Notifier

All Known Subinterfaces:
  FeatureLinkModelFacet, TypeLinkModelFacet

All Known Implementing Classes:
  FeatureLinkModelFacetImpl, TypeLinkModelFacetImpl

public interface LinkModelFacet
extends ModelFacet

A representation of the model object 'Link Model Facet'. Model facet of links

See Also:
  `GMFGenPackage.getLinkModelFacet()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`EList` `getSourceTypes()`
`EList` `getTargetTypes()`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSourceTypes

    public EList getSourceTypes()

  ** Generated **
  Model:
    kind="operation" type="org.eclipse.emf.codegen.ecore.genmodel.GenClass"

### getTargetTypes

    public EList getTargetTypes()

  ** Generated **
  Model:
    kind="operation" type="org.eclipse.emf.codegen.ecore.genmodel.GenClass"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.